
Redmine - Feature #6417

Allow collapse/expand in gantt chart

2010-09-16 19:31 - N G

Status: Closed Start date: 2010-09-16

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

Eric - it would be great if there was a way to collapse nested structures in the Gantt chart plugin you developed.. for example, if we

don't want to see all the tasks/bugs for our versions, but just want a high level picture of what's coming up, it would be nice to be able

to collapse each version to a single row that shows the due date for the version. Possible? Thanks!

Related issues:

Related to Redmine - Feature #8897: Be able to reorder tasks/issues in the Ga... New 2011-07-25

Related to Redmine - Defect #32812: Clicking on a parent object in gantt wron... Closed

Has duplicate Redmine - Feature #13063: Make Gantt chart issues collapsible Closed

Has duplicate Redmine - Feature #11636: tree structure of Gantt Closed

Has duplicate Redmine - Feature #26467: expand & collapse gantt chart list Closed

Associated revisions

Revision 17925 - 2019-03-04 13:07 - Go MAEDA

Allow collapse/expand in gantt chart (#6417).

Patch by Yuichi HARADA.

Revision 17926 - 2019-03-04 13:47 - Go MAEDA

Reverted r17925 (#6417). The change breaks GanttHelperTest.

Revision 17929 - 2019-03-05 15:52 - Go MAEDA

Allow collapse/expand in gantt chart (#6417).

Patch by Yuichi HARADA.

History

#1 - 2010-09-16 19:57 - Eric Davis

- Category set to Gantt

- Assignee deleted (Eric Davis)

It would be possible but it will take a lot of work because of how the Gantt chart is rendered.  If someone wants to work on this, I'd be happy to review

a patch for it.

#2 - 2011-03-27 13:27 - Hans Bangkok

+1 I've got a lot of Versions (non-software PM "milestones")

At least being able to collapse the Roadmap's version sections would be start - and probably easier?

#3 - 2011-09-13 17:21 - Pierluigi Soana

+1

#4 - 2012-04-24 09:58 - Artem Tykhonov

+1

#5 - 2012-04-24 13:31 - Cassiano Monteiro

2025-05-02 1/5



+1!

#6 - 2012-04-26 04:48 - Terence Mill

+1

#7 - 2012-04-28 16:36 - Robert Johnson

+1

#8 - 2012-09-14 12:11 - Luis Serrano Aranda

+1

#9 - 2013-03-20 17:07 - Dipan Mehta

This is a duplication of #1294 which is closed in favor of #12032 + #10525.

#10 - 2013-03-25 09:36 - Toshi MARUYAMA

Dipan Mehta wrote:

This is a duplication of #1294 which is closed in favor of #12032 + #10525.

 No. This issue is "collapse/expand in Gantt chart" like Redmine SCM browser.

#11 - 2014-04-22 12:34 - Toshi MARUYAMA

- Has duplicate Feature #11636: tree structure of Gantt added

#12 - 2014-04-22 12:34 - Toshi MARUYAMA

- Related to Feature #8897: Be able to reorder tasks/issues in the Gantt chart added

#13 - 2014-10-28 21:28 - James H

+1

#14 - 2016-02-19 11:09 - Alexander Mikheyev

Hi all,

is any progress on collapse/expand Gantt tasks hierarchy?

#15 - 2017-01-10 07:33 - Florian Riedel

+1

#16 - 2017-07-18 17:47 - Mischa The Evil

- Has duplicate Feature #26467: expand & collapse gantt chart list added

#17 - 2017-07-19 08:54 - Randa Bustami

Hi All,

is there a chance to make it soon pls ?

#18 - 2017-11-13 03:20 - Mizuki ISHIKAWA

+1

#19 - 2019-01-31 03:41 - Yuichi HARADA

- File expand_gantt.png added

- File collapse_gantt.png added

- File 6417-collapse-expand-gantt.patch added

I created the function collapse/expand of the Gantt chart.

I attached a patch.
expand_gantt.png 

[Collapse]
 collapse_gantt.png 

#20 - 2019-02-02 07:11 - Go MAEDA

- Target version set to Candidate for next major release

#21 - 2019-02-24 13:30 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

LGTM. It is an excellent improvement. Setting the target version to 4.1.0.

#22 - 2019-02-25 14:06 - Go MAEDA

- File virtical-alignment@2x.png added

After applying the patch, objects in the same indentation level are not horizontally aligned. Please see the screenshot below. Could you check the

patch?

 

#23 - 2019-03-04 05:41 - Yuichi HARADA

- File 6417-collapse-expand-gantt-v2.patch added

Go MAEDA wrote:

After applying the patch, objects in the same indentation level are not horizontally aligned. Please see the screenshot below. Could you check

the patch?

 I adjusted the horizontal position. #html_subject method's params is the Hash object. Because we inherited params[:indent] (Horizontal position), the

calculation result of params[:indent] of the new parent hierarchy was wrong.

I rebuilt the patch.

#24 - 2019-03-04 06:00 - Go MAEDA

I confirmed that all issues in the previous patch have been fixed. Thank you for working on this. I will commit this patch within a few days.

#25 - 2019-03-04 13:07 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#26 - 2019-03-04 13:08 - Go MAEDA

- Subject changed from Allow collapse/expand in Gantt chart to Allow collapse/expand in gantt chart

#27 - 2019-03-04 13:47 - Go MAEDA

- Status changed from Closed to Reopened

- Resolution deleted (Fixed)
The patch breaks GanttHelperTest. Could you fix the failing tests?

#28 - 2019-03-05 03:50 - Yuichi HARADA

- File 6417-collapse-expand-gantt-v3.patch added

Go MAEDA wrote:

The patch breaks GanttHelperTest. Could you fix the failing tests?

 Sorry, I fixed the failed tests.

I rebuilt a patch.

#29 - 2019-03-05 16:50 - Go MAEDA

- Status changed from Reopened to Closed

- Resolution set to Fixed

Committed. Thanks.

#30 - 2019-04-08 12:57 - Abc4329803 ZHE

[root@host plugins]# patch /-p0 < 6417-collapse-expand-gantt-v3.patch

can't find file to patch at input line 5

Perhaps you used the wrong /-p or /-/-strip option?

The text leading up to this was:

-------------------------- |diff --git a/app/views/gantts/show.html.erb b/app/views/gantts/show.html.erb |index 90f6a85fa..a51abdcde 100644 |---

a/app/views/gantts/show.html.erb |+++ b/app/views/gantts/show.html.erb

--------------------------

My redmine version is 3.4.

Why I have this problem?

#31 - 2019-04-12 22:25 - Matt M

I just applied the patch to a 4.0.2 install, I noticed an issue though collapsing, I have a very complex hierarchy and this patch completely disrupts it. 

I.E. a sub-project of a sub-project of a primary project gets lumped under the version of the sub-project, and is not collapsible, which causes issues

with the rendering of the hierarchy and collapsing further down, I.E. collapsing a sub-project encapsulates the last sub-project within the main project. 

I would put pics but my layout is complex :) I got a pic to show an example.

In this pic if I collapse Mechanical Design then software will disappear, even though they are inline projects.

 Screenshot 2019-04-12 13.27.34.png?raw=1 

#32 - 2020-01-16 04:39 - Go MAEDA

- Related to Defect #32812: Clicking on a parent object in gantt wrongly collapses objects at the same level added

Files

expand_gantt.png 346 KB 2019-01-31 Yuichi HARADA

collapse_gantt.png 293 KB 2019-01-31 Yuichi HARADA

6417-collapse-expand-gantt.patch 11.1 KB 2019-01-31 Yuichi HARADA

virtical-alignment@2x.png 23.8 KB 2019-02-25 Go MAEDA

6417-collapse-expand-gantt-v2.patch 11.3 KB 2019-03-04 Yuichi HARADA

6417-collapse-expand-gantt-v3.patch 12.5 KB 2019-03-05 Yuichi HARADA
